package com.sooka.mybatis.mapper;

import com.sooka.module.web.cms.vo.VoteVo;
import com.sooka.mybatis.model.TCmsVote;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface TCmsVoteMapper extends Mapper<TCmsVote> {

    int saveTopic(TCmsVote vote);

    int saveOption(List<TCmsVote> opList);

    int deleteTopic(Integer vote_id);

    int deleteOption(Integer vote_id);

    List<TCmsVote> findOption(Integer vote_id);

    TCmsVote findTopicByOpId(Integer vote_id);

//    List<VoteVo> findOption(Integer vote_id);

    //List<TCmsVote> findTopicOption(Integer vote_id);

    int vote(Integer vote_id);

    List<TCmsVote> findTO();
}
